This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 199296 - Need documentatio on how to make X11 server listen to port 6000 for incoming X11 displays
Need documentatio on how to make X11 server listen to port 6000 for incoming ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 14:27 EDT by John Brearley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-22 02:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Brearley 2006-07-18 14:27:45 EDT
Description of problem:
Refer to bug #197964. Modifying the /etc/X11/xdm/kdmrc file to comment out the
entries for ServerArgsLocal and ServerArgsRemote is not enough. After a reboot
that didnt change the situation. I tried setting them to "-listen tcp" with no
luck. I cant find any man pages on the topic. Could you tell me exactly how you
turned on listening on your workstation?

Version-Release number of selected component (if applicable):
2.6.15-1.2054_FC5

How reproducible:
On demamd, this is the default X11 behaviour for a new Fedora Core 5 installation.

Steps to Reproduce:
1. Refer to bug #197964.
2.
3.
  
Actual results:
X11 is not listening to port 6000. There are no man pages or other documetation
to explain how to actually get it to work.

Expected results:
Allow incoming X11 displays from other workstations.

Additional info:
Comment 1 Mike A. Harris 2006-07-22 02:09:33 EDT
This is already reasonably documented in the manpages that accompany
the Xorg X server, and xdm.  If you find the X.Org documentation inadequate
however, you can file a documentation enhancement request to X.Org if you
like at http://bugs.freedesktop.org

If you're using GNOME or KDE, you'll need to consult their documentation
instead as GDM and KDM have their own configuration files/syntax, and that
is not part of the X.Org X11 implementation.  If there are deficiencies
in the GNOME/KDE documentation, you may want to direct a request to the
GNOME or KDE projects as well.

There's nothing inherently operating system distribution specific about
how this works as far as the X.Org bits go - we ship it with the X.Org
defaults essentially.

If you're asking for Fedora specific documentation on how to do this,
you're best discussing it on the fedora-devel mailing list and possibly
contributing something to the Fedoraproject Wiki (or encouraging others
to assist perhaps).

Closing as NOTABUG however, as I do not find the X.Org documentation on
this inadequate.
Comment 2 John Brearley 2006-07-22 14:03:53 EDT
I eventually found that gdmsetup is used to configure the X11 server. On the
Security Tab, you need to turn off the "Deny TCP connections" option. Then you
add port 6000 to the firewall, reboot and you can receive incoming X11 displays. 

Note You need to log in before you can comment on or make changes to this bug.